diff -pruN 4:17.08.3-1/cmake/modules/FindSignOnExtension.cmake 4:20.04.2-0ubuntu1/cmake/modules/FindSignOnExtension.cmake
--- 4:17.08.3-1/cmake/modules/FindSignOnExtension.cmake	2017-11-05 00:55:17.000000000 +0000
+++ 4:20.04.2-0ubuntu1/cmake/modules/FindSignOnExtension.cmake	2020-06-08 17:39:24.000000000 +0000
@@ -34,4 +34,4 @@ include(FindPackageHandleStandardArgs)
 find_package_handle_standard_args(SignOnExtension DEFAULT_MSG
                                   SIGNONEXTENSION_LIBRARY SIGNONEXTENSION_INCLUDE_DIR)
 
-mark_as_advanced(SIGNONEXTENSION_INCLUDE_DIR SIGNONEXTENSION_LIBRARY )
\ No newline at end of file
+mark_as_advanced(SIGNONEXTENSION_INCLUDE_DIR SIGNONEXTENSION_LIBRARY )
diff -pruN 4:17.08.3-1/CMakeLists.txt 4:20.04.2-0ubuntu1/CMakeLists.txt
--- 4:17.08.3-1/CMakeLists.txt	2017-11-05 00:55:17.000000000 +0000
+++ 4:20.04.2-0ubuntu1/CMakeLists.txt	2020-06-08 17:39:24.000000000 +0000
@@ -1,31 +1,31 @@
+cmake_minimum_required(VERSION 3.0)
+
 project(kwalletsignon5)
 
-set(KDE_APPLICATIONS_VERSION_MAJOR "17")
-set(KDE_APPLICATIONS_VERSION_MINOR "08")
-set(KDE_APPLICATIONS_VERSION_MICRO "3")
-set(kwalletsignon_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+set(RELEASE_SERVICE_VERSION_MAJOR "20")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(kwalletsignon_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
+set(KF5_MIN_VERSION "5.18.0")
+set(QT_REQUIRED_VERSION "5.6.0")
 
-cmake_minimum_required(VERSION 2.8.12)
 
-find_package(ECM 1.0.0 REQUIRED NO_MODULE)
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 
-find_package(Qt5 5.2.0 CONFIG REQUIRED Core)
+find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(FeatureSummary)
-include(ECMInstallIcons)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 
-find_package(KF5 5.0 REQUIRED Wallet)
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED Wallet)
 
 find_package(SignOnExtension REQUIRED)
 
 add_subdirectory(src)
 # add_subdirectory(tests)
 
-if("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
-  feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)
-endif()
+feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)
diff -pruN 4:17.08.3-1/debian/changelog 4:20.04.2-0ubuntu1/debian/changelog
--- 4:17.08.3-1/debian/changelog	2017-12-06 06:38:01.000000000 +0000
+++ 4:20.04.2-0ubuntu1/debian/changelog	2020-06-20 12:27:46.000000000 +0000
@@ -1,3 +1,141 @@
+signon-kwallet-extension (4:20.04.2-0ubuntu1) groovy; urgency=medium
+
+  * New upstream release (20.04.2)
+
+ -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:27:46 +0100
+
+signon-kwallet-extension (4:20.04.1-0ubuntu1) groovy; urgency=medium
+
+  * New upstream release (20.04.1)
+
+ -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:43:22 +0100
+
+signon-kwallet-extension (4:20.04.0-0ubuntu1) groovy; urgency=medium
+
+  * New upstream release (20.04.0)
+
+ -- Rik Mills <rikmills@kde.org>  Mon, 04 May 2020 10:28:58 +0100
+
+signon-kwallet-extension (4:19.12.3-0ubuntu1) focal; urgency=medium
+
+  * New upstream release (19.12.3)
+
+ -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:18:50 +0000
+
+signon-kwallet-extension (4:19.12.2-0ubuntu1) focal; urgency=medium
+
+  * New upstream release (19.12.2)
+  * Update watch file to the new release-service location.
+
+ -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:27:32 +0000
+
+signon-kwallet-extension (4:19.12.1-0ubuntu1) focal; urgency=medium
+
+  * New upstream release (19.12.1)
+
+ -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 15:01:59 +0000
+
+signon-kwallet-extension (4:19.12.0-0ubuntu1) focal; urgency=medium
+
+  * New upstream release (19.12.0)
+
+ -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:55:36 +0000
+
+signon-kwallet-extension (4:19.08.3-0ubuntu1) focal; urgency=medium
+
+  * New upstream release (19.08.0)
+  * New upstream release (19.08.1)
+  * New upstream release (19.08.2)
+  * New upstream release (19.08.3)
+
+ -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:40:13 +0000
+
+signon-kwallet-extension (4:19.04.3-0ubuntu1) eoan; urgency=medium
+
+  * New upstream release (19.04.3)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:21:45 +0100
+
+signon-kwallet-extension (4:19.04.2-0ubuntu1) eoan; urgency=medium
+
+  * New upstream release (19.04.2)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:17:37 +0100
+
+signon-kwallet-extension (4:19.04.1-0ubuntu1) eoan; urgency=medium
+
+  * New upstream release (19.04.1)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:05:14 +0100
+
+signon-kwallet-extension (4:19.04.0-0ubuntu1) eoan; urgency=medium
+
+  * New upstream release (19.04.0)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:50:30 +0100
+
+signon-kwallet-extension (4:18.12.3-0ubuntu1) disco; urgency=medium
+
+  * New upstream release (18.12.3)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:36:06 +0000
+
+signon-kwallet-extension (4:18.12.2-0ubuntu1) disco; urgency=medium
+
+  * New upstream release (18.12.2)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:23:04 +0000
+
+signon-kwallet-extension (4:18.12.1-0ubuntu1) disco; urgency=medium
+
+  * New upstream release (18.12.1)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:16:19 +0000
+
+signon-kwallet-extension (4:18.12.0-0ubuntu1) disco; urgency=medium
+
+  * New upstream beta release (18.11.80)
+  * New upstream release (18.12.0)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:54:35 +0000
+
+signon-kwallet-extension (4:18.08.3-0ubuntu1) disco; urgency=medium
+
+  * New upstream release (18.08.3)
+  * Merge Debian changes. Remaining changes:
+    - d/rules: Use l10n-packages.mk and l10npkgs_firstversion_ok to generate
+      l10n Breaks/Replaces.
+    - d/control: l10n Breaks/Replaces substvar.
+    - Kubuntu Vcs fields.
+    - Bumped build deps.
+    - Keep lintian-overrides.
+
+ -- Rik Mills <rikmills@kubuntu.org>  Thu, 13 Dec 2018 18:44:25 +0000
+
+signon-kwallet-extension (4:18.04.3-0ubuntu1) cosmic; urgency=medium
+
+  * New upstream release (18.03.80)
+  * New upstream release (18.04.0)
+  * New upstream release (18.04.1)
+  * New upstream release (18.04.3)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:24:30 +0100
+
+signon-kwallet-extension (4:17.12.3-0ubuntu1) bionic; urgency=medium
+
+  * New upstream release (17.12.3)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:34:42 +0000
+
+signon-kwallet-extension (4:17.12.2-0ubuntu1) bionic; urgency=medium
+
+  * New upstream release (17.11.80)
+  * New upstream release (17.11.90)
+  * New upstream release (17.12.0)
+  * New upstream release (17.12.2)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:03:47 +0000
+
 signon-kwallet-extension (4:17.08.3-1) unstable; urgency=medium
 
   * Team upload.
@@ -15,6 +153,13 @@ signon-kwallet-extension (4:17.08.3-1) u
 
  -- Pino Toscano <pino@debian.org>  Wed, 06 Dec 2017 07:38:01 +0100
 
+signon-kwallet-extension (4:17.08.3-0ubuntu1) bionic; urgency=medium
+
+  * Package priority 'extra' is depreciated in favour of 'optional'
+  * New upstream release (17.08.3)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:14:15 +0000
+
 signon-kwallet-extension (4:17.08.1-0neon) xenial; urgency=medium
 
   * New release
@@ -27,6 +172,15 @@ signon-kwallet-extension (4:17.08.0-0neo
 
  -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:50:11 +0000
 
+signon-kwallet-extension (4:17.04.3-0ubuntu1) artful; urgency=low
+
+  * New upstream release (17.04.1)
+  * Install translations and add Breaks/Replaces against kde-l10n
+  * New upstream release (17.04.2)
+  * New upstream release (17.04.3)
+
+ -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:33:57 +0100
+
 signon-kwallet-extension (4:17.04.3-0neon) xenial; urgency=medium
 
   * New release
@@ -51,6 +205,16 @@ signon-kwallet-extension (4:17.04.0-0neo
 
  -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:07:32 +0000
 
+signon-kwallet-extension (4:16.12.3-0ubuntu1) zesty; urgency=low
+
+  [ Darin Miller ]
+  * New upstream release (16.12.2)
+
+  [ José Manuel Santamaría Lema ]
+  * New upstream release (16.12.3)
+
+ -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:29:39 +0000
+
 signon-kwallet-extension (4:16.12.3-0neon) xenial; urgency=medium
 
   * New release
@@ -63,6 +227,17 @@ signon-kwallet-extension (4:16.12.2-0neo
 
  -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:05:20 +0000
 
+signon-kwallet-extension (4:16.12.1-0ubuntu1) zesty; urgency=medium
+
+  [ José Manuel Santamaría Lema ]
+  * Update Vcs-Git fields to use https:// instead of git://
+
+  [ Rik Mills ]
+  * New upstream release (16.12.0)
+  * New upstream release (16.12.1)
+
+ -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:18:31 +0000
+
 signon-kwallet-extension (4:16.12.1-0neon) xenial; urgency=medium
 
   * New release
@@ -111,6 +286,25 @@ signon-kwallet-extension (4:16.08.0-0neo
 
  -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:51:12 +0000
 
+signon-kwallet-extension (4:16.04.3-0ubuntu1) yakkety; urgency=medium
+
+  [ Scarlett Clark ]
+  * New upstream release
+  * Debian merge: No remaining changes. 
+
+  [ Philip Muškovac ]
+  * Update the Vcs URLs now that the repositories are hosted on
+    Launchpad
+
+  [ Scarlett Clark ]
+  * New upstream bugfix release
+
+  [ Clive Johnston ]
+  * New upstream release (16.04.2)
+  * New upstream release (16.04.3)
+
+ -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:43:52 +0200
+
 signon-kwallet-extension (4:16.04.3-0neon) xenial; urgency=medium
 
   * New release
@@ -134,6 +328,20 @@ signon-kwallet-extension (4:16.04.1-1) u
 
  -- Maximiliano Curia <maxy@debian.org>  Sun, 22 May 2016 10:16:50 +0200
 
+signon-kwallet-extension (4:15.12.3-0ubuntu1) xenial; urgency=medium
+
+  * New upstream bugfix release
+  * New upstream bugfix release
+
+ -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:30:11 -0700
+
+signon-kwallet-extension (4:15.12.1-1ubuntu1) xenial; urgency=medium
+
+  * New upstream release
+  * Merged with Debian 
+
+ -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:36:20 +0100
+
 signon-kwallet-extension (4:15.12.1-1) experimental; urgency=medium
 
   [ Debian Qt/KDE Maintainers ]
@@ -215,3 +423,4 @@ signon-kwallet-extension (4:15.04.2-0ubu
   * New upstream release
 
  -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 22:44:03 +0200
+
diff -pruN 4:17.08.3-1/debian/compat 4:20.04.2-0ubuntu1/debian/compat
--- 4:17.08.3-1/debian/compat	2015-07-10 20:51:48.000000000 +0000
+++ 4:20.04.2-0ubuntu1/debian/compat	2020-06-20 12:27:46.000000000 +0000
@@ -1 +1 @@
-9
+10
diff -pruN 4:17.08.3-1/debian/control 4:20.04.2-0ubuntu1/debian/control
--- 4:17.08.3-1/debian/control	2017-12-06 06:26:59.000000000 +0000
+++ 4:20.04.2-0ubuntu1/debian/control	2020-06-20 12:27:46.000000000 +0000
@@ -5,19 +5,21 @@ Maintainer: Debian/Kubuntu Qt/KDE Mainta
 Uploaders: Diane Trout <diane@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.0.0~),
-               libkf5wallet-dev (>= 5.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5wallet-dev (>= 5.31.0~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.4),
+               qtbase5-dev (>= 5.6.1~),
                signond-dev,
 Standards-Version: 4.1.1
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/signon-kwallet-extension
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/signon-kwallet-extension.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/signon-kwallet-extension.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/signon-kwallet-extension
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/signon-kwallet-extension
 
 Package: signon-kwallet-extension
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: KWallet extension for signond
  Enables signon services to store credentials in KWallet.
diff -pruN 4:17.08.3-1/debian/rules 4:20.04.2-0ubuntu1/debian/rules
--- 4:17.08.3-1/debian/rules	2017-12-06 06:26:53.000000000 +0000
+++ 4:20.04.2-0ubuntu1/debian/rules	2020-06-20 12:27:46.000000000 +0000
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
+l10npkgs_firstversion_ok := 4:17.03.90-0~
+
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_makeshlibs:
 	$(overridden_command) -X' ?usr/lib/[^/]*/?signon/extensions/[^/]*.so'
diff -pruN 4:17.08.3-1/debian/signon-kwallet-extension.lintian-overrides 4:20.04.2-0ubuntu1/debian/signon-kwallet-extension.lintian-overrides
--- 4:17.08.3-1/debian/signon-kwallet-extension.lintian-overrides	1970-01-01 00:00:00.000000000 +0000
+++ 4:20.04.2-0ubuntu1/debian/signon-kwallet-extension.lintian-overrides	2020-06-20 12:27:46.000000000 +0000
@@ -0,0 +1,3 @@
+signon-kwallet-extension: postinst-has-useless-call-to-ldconfig
+signon-kwallet-extension: postrm-has-useless-call-to-ldconfig
+signon-kwallet-extension: pkg-has-shlibs-control-file-but-no-actual-shared-libs
diff -pruN 4:17.08.3-1/debian/watch 4:20.04.2-0ubuntu1/debian/watch
--- 4:17.08.3-1/debian/watch	2017-12-06 06:25:17.000000000 +0000
+++ 4:20.04.2-0ubuntu1/debian/watch	2020-06-20 12:27:46.000000000 +0000
@@ -1,2 +1,2 @@
 version=4
-opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/applications/([\d.]+)/src/@PACKAGE@-([\d.]+)\.tar\.xz
+opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/([\d.]+)/src/@PACKAGE@-([\d.]+)\.tar\.xz
diff -pruN 4:17.08.3-1/.gitignore 4:20.04.2-0ubuntu1/.gitignore
--- 4:17.08.3-1/.gitignore	1970-01-01 00:00:00.000000000 +0000
+++ 4:20.04.2-0ubuntu1/.gitignore	2020-06-08 17:39:24.000000000 +0000
@@ -0,0 +1,21 @@
+# Ignore the following files
+*~
+*.[oa]
+*.diff
+*.kate-swp
+*.kdev4
+.kdev_include_paths
+*.kdevelop.pcs
+*.moc
+*.moc.cpp
+*.orig
+*.user
+.*.swp
+.swp.*
+Doxyfile
+Makefile
+avail
+random_seed
+/build*/
+CMakeLists.txt.user*
+*.unc-backup*
diff -pruN 4:17.08.3-1/src/keyringplugin.cpp 4:20.04.2-0ubuntu1/src/keyringplugin.cpp
--- 4:17.08.3-1/src/keyringplugin.cpp	2017-11-05 00:55:17.000000000 +0000
+++ 4:20.04.2-0ubuntu1/src/keyringplugin.cpp	2020-06-08 17:39:24.000000000 +0000
@@ -25,5 +25,3 @@ SignOn::AbstractSecretsStorage* KeyringP
 {
     return new SecretsStorage();
 }
-
-#include "keyringplugin.moc"
\ No newline at end of file
diff -pruN 4:17.08.3-1/src/keyringplugin.h 4:20.04.2-0ubuntu1/src/keyringplugin.h
--- 4:17.08.3-1/src/keyringplugin.h	2017-11-05 00:55:17.000000000 +0000
+++ 4:20.04.2-0ubuntu1/src/keyringplugin.h	2020-06-08 17:39:24.000000000 +0000
@@ -19,7 +19,7 @@
 #ifndef KEYRING_PLUGIN_H
 #define KEYRING_PLUGIN_H
 
-#include <QtCore/QObject>
+#include <QObject>
 #include <SignOn/ExtensionInterface>
 
 class KeyringPlugin: public QObject, public SignOn::ExtensionInterface3
@@ -29,12 +29,12 @@ class KeyringPlugin: public QObject, pub
     Q_PLUGIN_METADATA(IID "com.nokia.SingleSignOn.ExtensionInterface/3.0")
 
     public:
-        KeyringPlugin(QObject *parent = 0) : QObject(parent)
+        explicit KeyringPlugin(QObject *parent = nullptr) : QObject(parent)
         {
             setObjectName(QStringLiteral("kwallet-keyring"));
         }
 
-    SignOn::AbstractSecretsStorage *secretsStorage(QObject *parent = 0) const Q_DECL_OVERRIDE;
+    SignOn::AbstractSecretsStorage *secretsStorage(QObject *parent = nullptr) const override;
 };
 
 #endif // KEYRING_PLUGIN_H
diff -pruN 4:17.08.3-1/src/secretsstorage.cpp 4:20.04.2-0ubuntu1/src/secretsstorage.cpp
--- 4:17.08.3-1/src/secretsstorage.cpp	2017-11-05 00:55:17.000000000 +0000
+++ 4:20.04.2-0ubuntu1/src/secretsstorage.cpp	2020-06-08 17:39:24.000000000 +0000
@@ -19,11 +19,11 @@
 #include "secretsstorage.h"
 
 #include <QDataStream>
-#include <QtCore/QDebug>
+#include <QDebug>
 
 #include <SignOn/AbstractSecretsStorage>
 
-#include <KWallet/KWallet>
+#include <KWallet>
 
 using namespace SignOn;
 using namespace KWallet;
@@ -31,7 +31,7 @@ using namespace KWallet;
 SecretsStorage::SecretsStorage(QObject *parent)
  : AbstractSecretsStorage(parent)
  , m_keyringName()
- , m_wallet(0)
+ , m_wallet(nullptr)
 {
 }
 
@@ -165,5 +165,3 @@ bool SecretsStorage::removeData(quint32
 
     return m_wallet->removeEntry(sId) == 0;
 }
-
-#include "secretsstorage.moc"
diff -pruN 4:17.08.3-1/src/secretsstorage.h 4:20.04.2-0ubuntu1/src/secretsstorage.h
--- 4:17.08.3-1/src/secretsstorage.h	2017-11-05 00:55:17.000000000 +0000
+++ 4:20.04.2-0ubuntu1/src/secretsstorage.h	2020-06-08 17:39:24.000000000 +0000
@@ -32,20 +32,20 @@ class SecretsStorage: public SignOn::Abs
     Q_OBJECT
 
 public:
-    SecretsStorage(QObject *parent = 0);
-    ~SecretsStorage();
+    explicit SecretsStorage(QObject *parent = nullptr);
+    ~SecretsStorage() override;
 
-    bool initialize(const QVariantMap& configuration) Q_DECL_OVERRIDE;
-    bool close() Q_DECL_OVERRIDE;
-    bool clear() Q_DECL_OVERRIDE;
-
-    bool updateCredentials(const quint32 id, const QString& username, const QString& password) Q_DECL_OVERRIDE;
-    bool removeCredentials(const quint32 id) Q_DECL_OVERRIDE;
-    bool loadCredentials(const quint32 id, QString& username, QString& password) Q_DECL_OVERRIDE;
-
-    QVariantMap loadData(quint32 id, quint32 method) Q_DECL_OVERRIDE;
-    bool storeData(quint32 id, quint32 method, const QVariantMap& data) Q_DECL_OVERRIDE;
-    bool removeData(quint32 id, quint32 method) Q_DECL_OVERRIDE;
+    bool initialize(const QVariantMap& configuration) override;
+    bool close() override;
+    bool clear() override;
+
+    bool updateCredentials(const quint32 id, const QString& username, const QString& password) override;
+    bool removeCredentials(const quint32 id) override;
+    bool loadCredentials(const quint32 id, QString& username, QString& password) override;
+
+    QVariantMap loadData(quint32 id, quint32 method) override;
+    bool storeData(quint32 id, quint32 method, const QVariantMap& data) override;
+    bool removeData(quint32 id, quint32 method) override;
 
 
     QByteArray m_keyringName;
diff -pruN 4:17.08.3-1/tests/testextension.cpp 4:20.04.2-0ubuntu1/tests/testextension.cpp
--- 4:17.08.3-1/tests/testextension.cpp	2017-11-05 00:55:17.000000000 +0000
+++ 4:20.04.2-0ubuntu1/tests/testextension.cpp	2020-06-08 17:39:24.000000000 +0000
@@ -16,8 +16,8 @@
  *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA   *
  *************************************************************************************/
 
-#include <QtTest/QtTest>
-#include <QtCore/QObject>
+#include <QTest>
+#include <QObject>
 
 #include "../src/keyringplugin.h"
 #include "../src/secretsstorage.h"
